Debian Bug report logs - #282408
aptitude: should exit with error status (with --visual-preview)

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Frans Pop <elendil@planet.nl>

Date: Tue, 16 Nov 2004 19:48:09 UTC

Owned by: Daniel Hartwig <mandyke@gmail.com>

Severity: important

Tags: confirmed, d-i

Found in versions aptitude/0.4.11.11-1~lenny1, aptitude/0.4.11.11-1, aptitude/0.6.3-3.2, 0.2.10-1, aptitude/0.4.4-4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#281590; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: submit@bugs.debian.org
Subject: tasksel: Should not clear cache if installation failed
Date: Tue, 16 Nov 2004 20:44:27 +0100
Package: tasksel
Version: 2.15
Severity: minor

Currently the cache is always deleted as soon as aptitude finishes package 
installation.
This is very not nice if the installation fails for some reason (or is 
cancelled by the user) as packages will have very likely have to be 
downloaded again, and again, ...

I suggest that the cache only be cleaned if there were no errors during 
the installation.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#281590; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 281590@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Frans Pop <aragorn@tiscali.nl>, 281590@bugs.debian.org
Subject: Re: Bug#281590: tasksel: Should not clear cache if installation failed
Date: Tue, 16 Nov 2004 15:47:36 -0500
[Message part 1 (text/plain, inline)]
Frans Pop wrote:
> Currently the cache is always deleted as soon as aptitude finishes package 
> installation.
> This is very not nice if the installation fails for some reason (or is 
> cancelled by the user) as packages will have very likely have to be 
> downloaded again, and again, ...
> 
> I suggest that the cache only be cleaned if there were no errors during 
> the installation.

The only cache cleaning that I know of is in base-config:

        if which tasksel >/dev/null 2>&1; then
                if [ "$1" = new ]; then
                        tasksel_param="--new-install"
                fi
                if ! tasksel -ris $tasksel_param; then
                        $0 failure
                        exit 1
                fi
        fi

        if [ "$KEEP_BASE_DEBS" != yes ]; then
                apt-get -f clean || true
        fi

I don't see how this could cause the cache to be cleaned if the tasksel
run failed.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#281590; Package tasksel. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 281590@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: Joey Hess <joeyh@debian.org>, 281590@bugs.debian.org
Subject: Re: Bug#281590: tasksel: Should not clear cache if installation failed
Date: Sun, 21 Nov 2004 22:23:37 +0100
On Tuesday 16 November 2004 21:47, Joey Hess wrote:
> I don't see how this could cause the cache to be cleaned if the tasksel
> run failed.

You are correct. The issue is partly with aptitude.

If aptitude is called with --visual-preview and the installation fails or 
is cancelled by the user after downloading packages, aptitude exits with 
exit status 0 instead of with an error status.
I will clone this bug to aptitude for that.

IMHO, this still leaves an issue in tasksel, that should maybe be solved 
together with #272360.
If manual package selection was chosen and aptitude is quit normally by 
the user, tasksel should not just finish (deleting the cache) and 
continue with the next installation step.
IMHO it would be much better to allow the user to confirm that he is 
finished, or allow him to return to the tasksel main screen or to run 
aptitude again.
The reason is that we don't really know _why_ the user quit aptitude and 
so can't really rely on the exit status being 0.



Bug 281590 cloned as bug 282408. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `tasksel' to `aptitude'. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#282408; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #26 received at 282408@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: 282408@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#282408: aptitude: should exit with error status (with --visual-preview)
Date: Sun, 21 Nov 2004 23:09:08 +0100
tags 282408 + d-i
thanks

On Sunday 21 November 2004 22:23, Frans Pop wrote:
> If aptitude is called with --visual-preview and the installation fails
> or is cancelled by the user after downloading packages, aptitude exits
> with exit status 0 instead of with an error status.
> I will clone this bug to aptitude for that.

If aptitude is run with the --visual-preview option, it's exit status 
should reflect the status of the installation process.
At the moment, it looks like the exit status is always 0.

This behavior is especially bad when aptitude is used from installation 
scripts, like from tasksel for base configuration of a newly installed 
system.

Examples:
- If I run `aptitude install --visual-preview` and press <cancel> after
  packages are downloaded (breaking of the installation process), aptitude
  will exit with status 0 although no installation has taken place.

- If I run `aptitude install --visual-preview` and there is a problem
  during installation, aptitude will still exit with status 0.

<snip>
# aptitude install tasksel --visual-preview
<aptitude dialog is shown>
Reading Package Lists... Done
Building Dependency Tree
Reading extended state information
Initializing package states... Done
Preconfiguring packages ...
Selecting previously deselected package tasksel.
(Reading database ... 108000 files and directories currently installed.)
Unpacking tasksel (from .../archives/tasksel_2.16_all.deb) ...
Setting up tasksel (2.16) ...
dpkg: error processing tasksel (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 tasksel
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ack!  Something bad happened while installing packages.  Trying to 
recover:
Setting up tasksel (2.16) ...
dpkg: error processing tasksel (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 tasksel
Press return to continue.

# echo $?
0
</snip>

(Note: I manipulated tasksel to exit with status 1 from it's postinst
 for this test.)



Tags added: d-i Request was from Frans Pop <aragorn@tiscali.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Frans Pop <aragorn@tiscali.nl> to Frans Pop <elendil@planet.nl>. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 282408 445035. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sat, 30 Aug 2008 03:00:02 GMT) Full text and rfc822 format available.

Forcibly Merged 139615 282408 445035. Request was from jidanni@jidanni.org to control@bugs.debian.org. (Sat, 30 Aug 2008 03:00:03 GMT) Full text and rfc822 format available.

Forcibly Merged 139615 282408 445035 529925. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Sat, 23 May 2009 09:27:17 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.4.11.11-1~lenny1. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Sat, 23 May 2009 09:27:20 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.4.11.11-1+b1. Request was from martin f krafft <madduck@debian.org> to control@bugs.debian.org. (Sat, 23 May 2009 09:27:22 GMT) Full text and rfc822 format available.

Bug Marked as found in versions aptitude/0.6.3-3.2. Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Wed, 23 Feb 2011 12:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#282408; Package aptitude. (Wed, 30 Nov 2011 00:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. (Wed, 30 Nov 2011 00:30:03 GMT) Full text and rfc822 format available.

Message #47 received at 282408@bugs.debian.org (full text, mbox):

From: "Manuel A. Fernandez Montecelo" <manuel.montezelo@gmail.com>
To: 282408@bugs.debian.org
Subject: aptitude bug #282408 -- information on attempts to fix
Date: Wed, 30 Nov 2011 00:27:13 +0000
Hi,

This is claimed to be fixed in the NEWS file (v0.4.10-1):

http://anonscm.debian.org/gitweb/?p=aptitude/aptitude.git;a=blob;f=NEWS
+ Minor bugs:
* Return a failing exit code after jumping from the command-line
  to visual mode if the last install run failed. (Closes: #282408)

But it does not appear as "Closes: x" in the changelog for the same version:
- When visual mode is entered from the command-line (e.g., via
       --visual-preview), return a failing exit code if the last
       install run the user performs fails.

The code introduced in the commit who is supposed to have fixed it,
it's still there today:
http://anonscm.debian.org/hg/aptitude/head/rev/bcab12da26cf

But as people show in merged bugs with this one, this command continues to fail:
LANG=C /usr/bin/aptitude -V install inexistent; echo Exited: $?

The visual preview seems to work fine though, or at least having some
support for this even if not working 100% as people would desire.
It's returning 255 when non-existing package or already installed, 0
if something is confirmed and installed (v 0.6.4-1.2).

Regards.




Disconnected #282408 from all other report(s). Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 08 Jun 2012 13:14:46 GMT) Full text and rfc822 format available.

Information stored :
Bug#282408; Package aptitude. (Fri, 08 Jun 2012 13:15:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Hartwig <mandyke@gmail.com>:
Extra info received and filed, but not forwarded. (Fri, 08 Jun 2012 13:15:59 GMT) Full text and rfc822 format available.

Message #54 received at 282408-quiet@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 282408-quiet@bugs.debian.org
Subject: Bug#282408: aptitude: should exit with error status (with --visual-preview)
Date: Fri, 8 Jun 2012 20:39:17 +0800
unmerge 282408
thanks

Separating #282408 from the others as it is specifically about exit
status after a visual preview.

The other issues are duplicates: aptitude should report errors and
exit with non-zero status if not all packages could be installed,
removed, etc..  A resolution to this is almost complete and will soon
be available.

The visual preview issue may follow soon, but is not yet being looked
at.  The previous message on this bug also indicates it may be
resolved, but I have not checked this yet either.




Added tag(s) pending. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Fri, 29 Jun 2012 13:08:35 GMT) Full text and rfc822 format available.

Reply sent to Daniel Hartwig <mandyke@gmail.com>:
You have taken responsibility. (Mon, 09 Jul 2012 19:03:08 GMT) Full text and rfc822 format available.

Notification sent to Frans Pop <elendil@planet.nl>:
Bug acknowledged by developer. (Mon, 09 Jul 2012 19:03:08 GMT) Full text and rfc822 format available.

Message #61 received at 282408-close@bugs.debian.org (full text, mbox):

From: Daniel Hartwig <mandyke@gmail.com>
To: 282408-close@bugs.debian.org
Subject: Bug#282408: fixed in aptitude 0.6.9-1~exp1
Date: Mon, 09 Jul 2012 19:02:13 +0000
Source: aptitude
Source-Version: 0.6.9-1~exp1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 282408@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Hartwig <mandyke@gmail.com> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jun 2012 19:57:24 +0800
Source: aptitude
Binary: aptitude aptitude-common aptitude-dbg aptitude-doc-cs aptitude-doc-en aptitude-doc-es aptitude-doc-fi aptitude-doc-fr aptitude-doc-it aptitude-doc-ja
Architecture: source i386 all
Version: 0.6.9-1~exp1
Distribution: experimental
Urgency: low
Maintainer: Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>
Changed-By: Daniel Hartwig <mandyke@gmail.com>
Description: 
 aptitude   - terminal-based package manager
 aptitude-common - architecture indepedent files for the aptitude package manager
 aptitude-dbg - Debug symbols for the aptitude package manager
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based package manager
 aptitude-doc-en - English manual for aptitude, a terminal-based package manager
 aptitude-doc-es - Spanish manual for aptitude, a terminal-based package manager
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based package manager
 aptitude-doc-fr - French manual for aptitude, a terminal-based package manager
 aptitude-doc-it - Italian manual for aptitude, a terminal-based package manager
 aptitude-doc-ja - Japanese manual for aptitude, a terminal-based package manager
Closes: 121313 282408 302784 430392 434502 497299 501732 504153 537393 576212 587671 587775 590686 631464 639789 675833 677551 678153 679602
Changes: 
 aptitude (0.6.9-1~exp1) experimental; urgency=low
 .
   * New upstream release.
     - See NEWS for full details.
     - Checking for errors on the command-line is much stricter,
       and many commands which would previously run will now
       exit with failure.
       (Closes: #576212, #590686, #282408, #434502)
       (LP: #919216, #585408)
     - An install run will no longer proceed if any
       package was unavailable or failed to download
       correctly, instead an error will be shown
       and exit with non-zero status (100).
       (Closes: #121313, #302784, #639789)
       (LP: #734737)
     - Some commands (search, versions, changelog, …) will exit
       with non-zero status (1, or some times 100) if there were
       no matches for the given arguments.
       (Closes: #675833, #497299)
     - Support downloading changelogs for packages on
       third-party sites by guessing the URI. (LP: #563155)
     - Properly process all -o command line options.
       (Closes: #587671)
     - Package arguments without an arch-qualifier
       will also consider foreign-arch packages, in
       order of preference.  (LP: #892074)
     - Use up-to-date changelog uri construction from apt-get
       using APT::Changelogs::Server.
     - Minor fixes to changelog downloading on the command-line.
       (Closes: #631464, #587775, #537393)
     - Do not group packages as tasks based on their name,
       rather, use their section.  (Closes: #679602)
     - Most errors are now displayed at the end of a command's
       output which makes them easier to spot when there is
       lots of output. (Closes: #430392)
   * Remove dependency on libept, now access debtags and Xapian
     directly.  (Closes: #501732, #504153, #677551)
   * Depend on libxapian instead.
   * Depend on newer version of libapt-pkg for architecture
     specification string support.
   * debian/rules:
     - Clean up extra translated files which po4a is leaving.
   * Translation updates:
     - Polish (Closes: #678153)
Checksums-Sha1: 
 8e2fc6652c5e3ce1e4b2d1adbd757b5a43f2ea37 2849 aptitude_0.6.9-1~exp1.dsc
 753495436f67e848b86e54bfc5b34b697475a3c1 4460232 aptitude_0.6.9.orig.tar.xz
 638b9b3e4f0906d131e74ae16a2b27336bdc4aef 45442 aptitude_0.6.9-1~exp1.debian.tar.gz
 cf93baeebda05d4cbcff226b57c3db59823a01d5 1911356 aptitude_0.6.9-1~exp1_i386.deb
 e1cc647043aacb8fb00fb2100b863ad57b31788d 2658302 aptitude-common_0.6.9-1~exp1_all.deb
 7aa113de6562ad92299a14f9dfd3d56ba0965494 15509436 aptitude-dbg_0.6.9-1~exp1_i386.deb
 62973958b81af7cc8095c1d77d607e7d817d132a 394102 aptitude-doc-cs_0.6.9-1~exp1_all.deb
 a7c0438d7211c8672621e9a6e25887d3d38b05f8 463580 aptitude-doc-en_0.6.9-1~exp1_all.deb
 d7ed4f8192cf39f8cfa7a546cba03a39fd5ee059 444284 aptitude-doc-es_0.6.9-1~exp1_all.deb
 e6ff7b813eab93e8c3828182bb34793788ab3c29 283954 aptitude-doc-fi_0.6.9-1~exp1_all.deb
 15278409798fd339bb338af373691eff5c7c7270 346234 aptitude-doc-fr_0.6.9-1~exp1_all.deb
 7eca48c9a2ab49f35ba823834f4eec6d183084f5 304636 aptitude-doc-it_0.6.9-1~exp1_all.deb
 189f30b92dcb4ddfed47b9e14f9387e04f92ffe3 408436 aptitude-doc-ja_0.6.9-1~exp1_all.deb
Checksums-Sha256: 
 d2bc55b5a6aa1ad3c2df76a74633cb3d1d742501e0a6e3694308228265ca3c13 2849 aptitude_0.6.9-1~exp1.dsc
 c24ae86caeee4e90394e961d4dcd353045baf7a6e37d0ba015643a617987ce64 4460232 aptitude_0.6.9.orig.tar.xz
 abb32542a90d9275c82626ff40b37b7e505afd9a479975b0193f6727a68231f2 45442 aptitude_0.6.9-1~exp1.debian.tar.gz
 cbc3ec255b05a4beaa7e70d415beeaa2c78247ffba3df9cfd2184dbbcdcd0c27 1911356 aptitude_0.6.9-1~exp1_i386.deb
 8a359a3c744e93d4daba83a600c9730e6b23dde27c1f5aa025804f7416c23136 2658302 aptitude-common_0.6.9-1~exp1_all.deb
 e51d50f6d0f0556c4412cd88643f08b3c7507fa303053b7ed09e97623ef1ebb0 15509436 aptitude-dbg_0.6.9-1~exp1_i386.deb
 b4d82b15af44f1b687e3dc9a7ddc1d2f52049e10c2cbf0ac2d8b6eddd656a473 394102 aptitude-doc-cs_0.6.9-1~exp1_all.deb
 ffcd7adbd1e050b1112ec177103afba4894cce574c7bf4693104f705ffd56236 463580 aptitude-doc-en_0.6.9-1~exp1_all.deb
 5ea2a75ff1ac0ca1332fc5f6dc2fcac9774e49954cc9cf00c792dfd7ccc9e969 444284 aptitude-doc-es_0.6.9-1~exp1_all.deb
 70869026c641337b18f2379291c85b93cd5189e7835d93b6484b5ef987ee42ec 283954 aptitude-doc-fi_0.6.9-1~exp1_all.deb
 5de7707c3f0639cf6144ab98c6f5a4d2124aefd39f99075da6dfac82448238d8 346234 aptitude-doc-fr_0.6.9-1~exp1_all.deb
 ad9644d42e67f19556a5bb0d497e19e06c14930b6b05611df6a7af4499f4baa2 304636 aptitude-doc-it_0.6.9-1~exp1_all.deb
 ddbd9859f9c19f6113a42d50d960aeb99ccc485cbbf53b4af271d7aaba7972b6 408436 aptitude-doc-ja_0.6.9-1~exp1_all.deb
Files: 
 ae6b9ea846d8b39a89676af10f8c9204 2849 admin important aptitude_0.6.9-1~exp1.dsc
 21caac1532116fd2838909af946a6ed7 4460232 admin important aptitude_0.6.9.orig.tar.xz
 210c8e0653171443fa87baa9f84e51b5 45442 admin important aptitude_0.6.9-1~exp1.debian.tar.gz
 a20d76bdacc8e9cf862893f2084df509 1911356 admin important aptitude_0.6.9-1~exp1_i386.deb
 132613254479e300cf5139bbb1ec4377 2658302 admin important aptitude-common_0.6.9-1~exp1_all.deb
 ef31988dbb66a5908b7eb166b07bce4b 15509436 debug extra aptitude-dbg_0.6.9-1~exp1_i386.deb
 eebff92785da88955525bbf6d3a9a954 394102 doc optional aptitude-doc-cs_0.6.9-1~exp1_all.deb
 e1963426d69d91b4f3c143f4ad72be68 463580 doc optional aptitude-doc-en_0.6.9-1~exp1_all.deb
 d979faf80372df07474963e2d5cb1173 444284 doc optional aptitude-doc-es_0.6.9-1~exp1_all.deb
 cadaf2d75c774779a573aa35778e57ab 283954 doc optional aptitude-doc-fi_0.6.9-1~exp1_all.deb
 824927b2d1d3a10ec01f3e38bab2885f 346234 doc optional aptitude-doc-fr_0.6.9-1~exp1_all.deb
 01ad9df68b543ab542b8226e37ae3813 304636 doc optional aptitude-doc-it_0.6.9-1~exp1_all.deb
 8c5f1b7f5f6a2d178b40ff5addd9c2de 408436 doc optional aptitude-doc-ja_0.6.9-1~exp1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBT/snH4cvcCxNbiWoAQJqVQ/7B8njtdqQ3ePRjKpTsUJySknkJOxVlqAe
x4zwb4C5morFiBwx1xsf8ZXc3JSIj6v86guJwspXEGOlqnHby791q6NGTSV//JQY
zJzt9O+Yn84e2a7UwGR8hlGv6h+6KDm7vC3V3Kru/iVFOpuEAigPUa2v68IerZAR
pH47K8Qy8Uf3sUf3xvmgvHfSplX4ARsq02/IK+h0BapsSd0f7YSOpgUbnx47Y6f9
/KPiMf+EJGHm4M7JDVlwC5bhZtGkUe2qn1GdgvhuA34wzgXSrMBJSoSdZDZfUzQr
jMpve/bVPwajTb+O9KnDb2wZMNOosQ85Znv5HEF7BDTX7zkSPgmuGM9MZc8bauV/
vHt9fLwpmmxi0AVtrDNPtnv3ShefVY0OJfJMbpnMvF9sLOFgjDKL6leX1Q190QJQ
Nwpf+hk/TAbp5S6tJB7lZsjoFnn1Zmwjyy0LQkZ2LsTrTIL7UCxQoDwzX27J0+xf
OSn0+cv5pJPofzcwm2lxfgciSf4APYDZewHD/VTYx5b0wzuikMrfr439o7bq7I3m
JHmfyJJb2gKc0KdMMtxwmNdl62e0o5qX0w6h7V9to3nqrYBFPQP7hdpHb83YB8l3
g7QIPhf17oQO3ORk6bfP1+gI8gGAk5SbXW26g67MylUpM7F3AwbJtyPjsBKr8P2J
3CCzcHxIFTI=
=fi+A
-----END PGP SIGNATURE-----





Bug reopened Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 03:03:11 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions aptitude/0.6.9-1~exp1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Mon, 25 Nov 2013 03:03:11 GMT) Full text and rfc822 format available.

Owner recorded as Daniel Hartwig <mandyke@gmail.com>. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Sun, 02 Feb 2014 04:33:10 GMT) Full text and rfc822 format available.

Added tag(s) confirmed. Request was from Daniel Hartwig <mandyke@gmail.com> to control@bugs.debian.org. (Sun, 02 Feb 2014 04:33:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:00:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.